#include <fstream>

using namespace std;

int main()
{
	ifstream input("DOICHO.inp");
	ofstream output("DOICHO.out");
	int m, n, k, l;

	input >> m >> n >> k >> l;
	long long a[m][n];
	for (int i = 0; i < m; i++)
	{
		for (int j = 0; j < n; j++)
		{
			input >> a[i][j];
		}
	}
	int temp;
	for (int i = 0; i < m; i++)
	{
		temp = i;
		if (temp == (k - 1))
		{
			temp = l - 1;
		}
		if (temp == (l - 1))
		{
			temp = k - 1;
		}
		for (int j = 0; j < m; j++)
		{
			output << a[temp][j] << ' ';
		}
		temp = 0;
	}
	input.close();
	output.close();
	return 0;
}